Skip to content

Documentation API ​

3 endpoints. Request and response schemas are described on the schemas page; the other tags are listed in the API index.

Endpoints ​

GET /api/reference ​

API reference

Interactive API documentation (Scalar), served from the binary. The legacy /swagger and /swagger/ paths redirect here. Answers 404 when api.docs.enabled is false.

Authentication: none (public endpoint).

Responses

StatusDescriptionBody
200API reference HTML-
404The API reference is disabled-

GET /api/v1/openapi.json ​

OpenAPI specification

Returns the OpenAPI 3.0 specification in JSON format

Authentication: none (public endpoint).

Responses

StatusDescriptionBody
200OpenAPI specificationapplication/json: object

GET /api/v1/openapi.yaml ​

OpenAPI specification (YAML)

Returns the OpenAPI 3.0 specification in YAML format

Authentication: none (public endpoint).

Responses

StatusDescriptionBody
200OpenAPI specificationapplication/yaml: object

Free software under the AGPL-3.0-or-later.